apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend-deployment
spec:
  selector:
    matchLabels:
      app: frontend-deployment
  template:
    metadata:
      labels:
        app: frontend-deployment
    spec:
      containers:
      - name: app
        image: hashicorp/http-echo
        args: ["--text", "web1"]
        ports:
        - name: http
          containerPort: 5678
          protocol: TCP